# DataExchange
TKIGES
IGESData

# IGESData_Protocol Class Reference

Description of basic Protocol for IGES
This comprises treatement of IGESModel and Recognition of
Undefined-FreeFormat-Entity
.

`#include <IGESData_Protocol.hxx>`

Inheritance diagram for IGESData_Protocol:

[legend]

## Public Member Functions

Standard_EXPORT | IGESData_Protocol ()
Standard_EXPORT Standard_Integer | NbResources () const
| Gives the count of Resource Protocol. Here, none .
Standard_EXPORT Handle_Interface_Protocol | Resource (const Standard_Integer num) const
| Returns a Resource, given a rank. Here, none .
Standard_EXPORT Standard_Integer | TypeNumber (const Handle(Standard_Type)&atype) const
| Returns a Case Number, specific of each recognized Type Here, Undefined and Free Format Entities have the Number 1. .
Standard_EXPORT Handle_Interface_InterfaceModel | NewModel () const
| Creates an empty Model for IGES Norm .
Standard_EXPORT Standard_Boolean | IsSuitableModel (const Handle(Interface_InterfaceModel)&model) const
| Returns True if <model> is a Model of IGES Norm .
Standard_EXPORT Handle_Standard_Transient | UnknownEntity () const
| Creates a new Unknown Entity for IGES (UndefinedEntity) .
Standard_EXPORT Standard_Boolean | IsUnknownEntity (const Handle(Standard_Transient)&ent) const
| Returns True if <ent> is an Unknown Entity for the Norm, i.e. Type UndefinedEntity, status Unknown .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_Protocol::IGESData_Protocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESData_Protocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_Protocol. Reimplemented in IGESAppli_Protocol, IGESBasic_Protocol, IGESData_FileProtocol, IGESDefs_Protocol, IGESDimen_Protocol, IGESDraw_Protocol, IGESGeom_Protocol, IGESGraph_Protocol, and IGESSolid_Protocol.

Standard_EXPORT Standard_Boolean IGESData_Protocol::IsSuitableModel | ( | const Handle(Interface_InterfaceModel)& | model | ) | const`[virtual]`

| Implements Interface_Protocol.

Standard_EXPORT Standard_Boolean IGESData_Protocol::IsUnknownEntity | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements Interface_Protocol.

Standard_EXPORT Standard_Integer IGESData_Protocol::NbResources | ( |  | ) | const`[virtual]`

| Implements Interface_Protocol. Reimplemented in IGESAppli_Protocol, IGESBasic_Protocol, IGESData_FileProtocol, IGESDefs_Protocol, IGESDimen_Protocol, IGESDraw_Protocol, IGESGeom_Protocol, IGESGraph_Protocol, and IGESSolid_Protocol.

Standard_EXPORT Handle_Interface_InterfaceModel IGESData_Protocol::NewModel | ( |  | ) | const`[virtual]`

| Implements Interface_Protocol.

Standard_EXPORT Handle_Interface_Protocol IGESData_Protocol::Resource | ( | const Standard_Integer | num | ) | const`[virtual]`

| Implements Interface_Protocol. Reimplemented in IGESAppli_Protocol, IGESBasic_Protocol, IGESData_FileProtocol, IGESDefs_Protocol, IGESDimen_Protocol, IGESDraw_Protocol, IGESGeom_Protocol, IGESGraph_Protocol, and IGESSolid_Protocol.

Standard_EXPORT Standard_Integer IGESData_Protocol::TypeNumber | ( | const Handle(Standard_Type)& | atype | ) | const`[virtual]`

| Implements Interface_Protocol. Reimplemented in IGESAppli_Protocol, IGESBasic_Protocol, IGESDefs_Protocol, IGESDimen_Protocol, IGESDraw_Protocol, IGESGeom_Protocol, IGESGraph_Protocol, and IGESSolid_Protocol.

Standard_EXPORT Handle_Standard_Transient IGESData_Protocol::UnknownEntity | ( |  | ) | const`[virtual]`

| Implements Interface_Protocol.

The documentation for this class was generated from the following file:

- IGESData_Protocol.hxx